## org.eclipse.uml2.common.util
Class DerivedEObjectEList.DerivedListIterator

    java.lang.Object
      org.eclipse.uml2.common.util.DerivedEObjectEList.DerivedListIterator

All Implemented Interfaces:
  java.util.Iterator<E>, java.util.ListIterator<E>

Direct Known Subclasses:
  DerivedEObjectEList.EmptyDerivedListIterator, DerivedEObjectEList.ResolvingDerivedListIterator, DerivedSubsetEObjectEList.DerivedSubsetListIterator

Enclosing class:
  DerivedEObjectEList<E>

    protected class DerivedEObjectEList.DerivedListIterator

extends java.lang.Object
implements java.util.ListIterator<E>

Field Summary
`protected int` `featureIndex`
`protected int` `index`
`protected int` `prepared`
`protected org.eclipse.emf.ecore.EStructuralFeature` `preparedFeature`
`protected org.eclipse.emf.common.util.EList<java.lang.Object>` `preparedValues`
`protected java.util.ListIterator<java.lang.Object>` `valuesIterator`

Constructor Summary
`protected` `DerivedEObjectEList.DerivedListIterator()`

Method Summary
`void` `add(java.lang.Object element)`
`boolean` `hasNext()`
`boolean` `hasPrevious()`
`E` `next()`
`int` `nextIndex()`
`protected boolean` `prepareNext()`
`protected boolean` `preparePrevious()`
`E` `previous()`
`int` `previousIndex()`
`void` `remove()`
`protected boolean` `resolve()`
`protected boolean` `scanNext(org.eclipse.emf.ecore.EStructuralFeature nextFeature, java.util.ListIterator<java.lang.Object> nextValuesIterator)`
`protected boolean` `scanPrevious(org.eclipse.emf.ecore.EStructuralFeature previousFeature, java.util.ListIterator<java.lang.Object> previousValuesIterator)`
`void` `set(java.lang.Object element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### index

    protected int index

### featureIndex

    protected int featureIndex

### valuesIterator

    protected java.util.ListIterator<java.lang.Object> valuesIterator

### preparedFeature

    protected org.eclipse.emf.ecore.EStructuralFeature preparedFeature

### preparedValues

    protected org.eclipse.emf.common.util.EList<java.lang.Object> preparedValues

### prepared

    protected int prepared

Constructor Detail

### DerivedEObjectEList.DerivedListIterator

    protected DerivedEObjectEList.DerivedListIterator()

Method Detail

### scanNext

    protected boolean scanNext(org.eclipse.emf.ecore.EStructuralFeature nextFeature,
                               java.util.ListIterator<java.lang.Object> nextValuesIterator)

### prepareNext

    protected boolean prepareNext()

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<E>`
  Specified by:
    `hasNext` in interface `java.util.ListIterator<E>`

### next

    public E next()

  Specified by:
    `next` in interface `java.util.Iterator<E>`
  Specified by:
    `next` in interface `java.util.ListIterator<E>`

### scanPrevious

    protected boolean scanPrevious(org.eclipse.emf.ecore.EStructuralFeature previousFeature,
                                   java.util.ListIterator<java.lang.Object> previousValuesIterator)

### preparePrevious

    protected boolean preparePrevious()

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `java.util.ListIterator<E>`

### previous

    public E previous()

  Specified by:
    `previous` in interface `java.util.ListIterator<E>`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `java.util.ListIterator<E>`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `java.util.ListIterator<E>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<E>`
  Specified by:
    `remove` in interface `java.util.ListIterator<E>`

### set

    public void set(java.lang.Object element)

  Specified by:
    `set` in interface `java.util.ListIterator<E>`

### add

    public void add(java.lang.Object element)

  Specified by:
    `add` in interface `java.util.ListIterator<E>`

### resolve

    protected boolean resolve()

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.